

import org.apache.poi.POITextExtractor;
import org.apache.poi.extractor.ExtractorFactory;

import java.io.File;

import junit.framework.TestCase;

/**
 * Filter using Poi 3.5 libraries
 */
public class TestUnitPoi35Filter extends TestCase
{
      private String text = "";

      public void testPptContentLinkedDocWord() throws Exception
      {
         extract(new File("ContentLinkedObject_word.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
      }


      public void testPptContentLinkedDocExcel() throws Exception
      {
         extract(new File("ContentLinkedObject_excel.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
      }


      public void testPptContentLinkedDocPpt() throws Exception
      {
         extract(new File("ContentLinkedObject_ppt.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
      }



      public void extract(File f) throws Exception
      {
         // Then, extract text
         POITextExtractor extr = ExtractorFactory.createExtractor(f);
         text = extr.getText();
      }

      public String getText()
      {
         return text;
      }

}